# TODO: finish docs
#
# Conditional build:
%bcond_with	doc	# Sphinx documentation
%bcond_with	tests	# unit tests (need rust configured)

Summary:	Setuptools plugin to build Rust Python extensions
Summary(pl.UTF-8):	Wtyczka setuptools do budowania rozszerzeń pythonowych w języku Rust
Name:		python3-setuptools_rust
Version:	1.10.2
Release:	4
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/setuptools-rust/
Source0:	https://pypi.debian.net/setuptools_rust/setuptools_rust-%{version}.tar.gz
# Source0-md5:	755ce9ab3d5e7b9f420992ca891a3965
URL:		https://rusthub.com/msabramo/setuptools-rust
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools >= 1:46.1
BuildRequires:	python3-setuptools_scm >= 3.4.3
BuildRequires:	python3-toml >= 0.9.0
%if %{with tests}
BuildRequires:	rust-core
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-m2r2
BuildRequires:	python3-sphinx_autodoc_typehints
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg-3
%endif
Requires:	cargo
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Compile and distribute Python extensions written in Rust as easily as
if they were written in C.

%description -l pl.UTF-8
Kompilownie i dystrybuowanie napisanych w języku Rust rozszerzeń
Pythona tak łatwo, jakby były napisane w C.

%prep
%setup -q -n setuptools_rust-%{version}

%build
%py3_build_pyproject

%if %{with tests}
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest tests
%endif

%if %{with doc}
%{__make} -C docs html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%{py3_sitescriptdir}/setuptools_rust
%{py3_sitescriptdir}/setuptools_rust-%{version}.dist-info
%changelog
* Fri Mar 14 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-setuptools_rust.git;a=log;h=master

* Fri Mar 14 2025 Jan Rękorajski <baggins@pld-linux.org> 1f330c1
- Release 4 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 76147d5
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 39c1e71
- python 3.13 rebuild

* Mon Mar 03 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 91ebad7
- Up to 1.10.2

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> b1bf7af
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 0a648b8
- rebuild with python 3.10

* Tue Mar 08 2022 Jakub Bogusz <qboosh@pld-linux.org> 398c741
- cleanup, added doc stub

* Sat Oct 09 2021 Jan Palus <atler@pld-linux.org> ec51964
- R: cargo

* Sat Oct 09 2021 Jan Palus <atler@pld-linux.org> 909f05c
- BR: python-setuptools_scm

* Thu Apr 08 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 30a1b91
- initial

